Package ghidra.graph.viewer.layout

# Class Column<V>

java.lang.Object
ghidra.graph.viewer.layout.Column<V>

Type Parameters:
  `V` - The vertex type

public class Column<V> extends Object
A column in a grid. This class stores its column index, its x offset and its width. The x value is the layout space x value of a `Point2D` object. That is, unlike the `GridLocationMap`, the x value of this object is in layout space and not indexes of a grid.

This class maintains a collection of vertices on this column, organized by column index. You can get the column of a vertex from `getRow(Object)`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `index`
  The grid index of this column (0, 1...n) for the number of columns
  `int`
  `width`
  `int`
  `x`
  The layout x coordinate of the column

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Column(int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPaddedWidth(boolean isCondensed)`
  `int`
  `getRow(V v)`
  `boolean`
  `isInitialized()`
  `boolean`
  `isOpenBetween(int startRow, int endRow)`
  `void`
  `setRow(V v, int row)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### x

    public int x
    The layout x coordinate of the column

  - ### width

    public int width

  - ### index

    public int index
    The grid index of this column (0, 1...n) for the number of columns

- ## Constructor Details

  - ### Column

    public Column(int index)

- ## Method Details

  - ### setRow

    public void setRow(V v, int row)

  - ### getRow

    public int getRow(V v)

  - ### getPaddedWidth

    public int getPaddedWidth(boolean isCondensed)

  - ### isInitialized

    public boolean isInitialized()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isOpenBetween

    public boolean isOpenBetween(int startRow, int endRow)